Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Sun, 11 Dec 2022 06:27:39 +0000

Hi Mais Hasan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery This us reg order #9404691114, when I placed the order it said delivery would be on 7th Dec. That is the only reason I went ahead with the order. It wasn't delivered on 7th and I spent all of 8th Dec morning contacting your help desk on what's app for updates and requesting it get delivered by nopn on ith atleast. However they didn't give me any contact for courier to follow up neither anyone ever contacted as they said would happen. The parcel arrived when I was already gone. Today 9th Dec I am still waiting for the parcel and nothing is updated on the website nor have i received any sms, nor any contact from courier. I do not know where the parcel is. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5439100